Bug 384141 - hide/unhide commands stopped working
hide/unhide commands stopped working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 02:22 EST by Tomasz Kepczynski
Modified: 2009-01-09 00:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2007-11-15 02:22:59 EST
Description of problem:
I have a few widows installations together with fedora 8 and
I use grub to boot all of them. To separate multiple windows
installations I use hide and unhide command.
After installation of Fedora 8 I am unable to boot any of
Windows partitions. This is due to grub complaining after
the first hide or unhide:
Error 22: No such partition
I've checked with fdisk and all my partitions are in place. Removal
of all hide/unhide commands from boot menu also helps.
The same error is also reported by command line grub.

Version-Release number of selected component (if applicable):
grub-0.97-19.x86_64

How reproducible:
always

Steps to Reproduce:
1. Create a partion of type 6 (FAT) or 7 (NTFS)
2. load grub (be it command line or actual bootloader
3. try to hide/unhide that partition.

Copy-paste from konsole:
gklab-59-001:~# fdisk -l /dev/sda

Disk /dev/sda: 73.4 GB, 73407488000 bytes
255 heads, 63 sectors/track, 8924 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xe661e661

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          38      305203+   6  FAT16
/dev/sda2              39        8924    71376795   8e  Linux LVM
gklab-59-001:~# cat /boot/grub/device.map
# this device map was generated by anaconda
(hd0)     /dev/sda
gklab-59-001:~# grub
Probing devices to guess BIOS drives. This may take a long time.


    GNU GRUB  version 0.97  (640K lower / 3072K upper memory)

 [ Minimal BASH-like line editing is supported.  For the first word, TAB
   lists possible command completions.  Anywhere else TAB lists the possible
   completions of a device/filename.]
grub> hide (hd0,0)
hide (hd0,0)

Error 22: No such partition
grub> unhide (hd0,0)
unhide (hd0,0)

Error 22: No such partition
grub> # Suprise, suprise
# Suprise, suprise

Error 27: Unrecognized command
grub> rootnoverify (hd0,0)
rootnoverify (hd0,0)
grub> quit
quit

Please see that rootnoverify works!
  
Actual results:
Cannot use hide/unhide commands.

Expected results:
Can use hide/unhide commands.
Comment 1 Guilhem Tardy 2007-11-25 03:21:17 EST
This is to confirm the report concerning hide and unhide:
always return "no such partition".
Comment 2 Tomasz Kepczynski 2008-01-14 09:03:00 EST
Is there any chance for a fix for this bug?
Comment 3 Shannon Jones 2008-05-25 16:52:40 EDT
This was broken for me in Fedora 8, but works fine in Fedora 9. Hide/unhide
commands work in grub.conf and at the grub console.
Comment 4 Shannon Jones 2008-05-25 16:55:29 EDT
Oops, I just realized this bug was for x86_64. I only tested i386.
Comment 5 Bug Zapper 2008-11-26 03:26:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:13:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.